Gtk2::Buildable::ParseContext(3)

NAME
Gtk2::Buildable::ParseContext

DESCRIPTION
This object contains context of the XML subset parser used by Gtk2::Builder. Objects of this type will be passed to the methods invoked on the parser returned from your Gtk2::Buildable's "CUSTOM_TAG_START". You should use these methods to create useful error messages, as necessary.

METHODS

  string = $parse_context->get_element
    Return the name of the currently open element.

  list = $parse_context->get_element_stack
    Returns the element stack; the first item is the currently-open tag (which would be returned by "get_element()"), and the next item is its immediate parent.

    Since: glib 2.16

  (line_number, char_number) = $parse_context->get_position

SEE ALSO
Gtk2, Gtk2::Buildable

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.